# 🌳 `treefetch`

A lightning-fast minimalist system fetch tool made in Rust. Even faster than neofetch and pfetch. Made to practice my new Rust skills 🦀.

A great pair for [cbonsai](https://gitlab.com/jallbrit/cbonsai), to help you get upvotes on your Linux rice.

<img src="https://user-images.githubusercontent.com/39676098/145780007-f612ceff-7414-4bbe-af14-e2d48004ed9d.png" alt="treefetch" width=380px>

**NEW:** Christmas mode with `treefetch --xmas`!

<img src="https://user-images.githubusercontent.com/39676098/145915591-aff4cd4e-1792-4cac-b266-98575d6fa6b5.png" alt="treefetch christmas" width=380px>

![Rust](https://img.shields.io/badge/rust-%23000000.svg?style=for-the-badge&logo=rust&logoColor=white)

## Install (Arch Linux)

- `yay -S treefetch-bin`
- `paru -S treefetch-bin`

## Install (Debian/Ubuntu)

`pacstall -I treefetch-bin`

Install Pacstall [here](https://github.com/pacstall/pacstall) (basically AUR for Debian-based distros)

## Install (Binary)

Download the latest binary release from the [releases section](https://github.com/angelofallars/treefetch/releases).

## Compiling Manually

To compile and install treefetch manually, you first need to [install the Rust
compiler](https://www.rust-lang.org/tools/install). When you do it this way,
`treefetch` will be automatically added to your PATH and you can run this
program anywhere.

- `git clone https://github.com/angelofallars/treefetch`
- `cd treefetch`
- `cargo install --path .`

<img src="https://user-images.githubusercontent.com/39676098/145779840-59f1d0ef-7577-408c-a9fb-ce93b262c7df.png" alt="cbonsai and treefetch" width=600px>

## Usage

```
Usage:
  treefetch [options]

OPTIONS
  -b, --bonsai   Show a bonsai tree
  -x, --xmas     Show a Christmas tree
  -h, --help     Display this help message
```

## Contributing

Just make sure to develop and make pull requests on the `dev` branch instead of
the `main` branch.

**Contribute to treefetch and get your awesome profile picture displayed here!**

<a href="https://github.com/angelofallars/treefetch/graphs/contributors">
  <img src="https://contrib.rocks/image?repo=angelofallars/treefetch" />
</a>

*Made with [contrib.rocks](https://contrib.rocks).*

## Supporting this project

This project is free and open-source and will always be that way.

If you like this project, please consider donating to help me improve this project even further.

<a href="https://www.buymeacoffee.com/angelofallaria" target="_blank"><img src="https://cdn.buymeacoffee.com/buttons/default-orange.png" alt="Buy Me A Coffee" width="140"></a>

## License

This program is licensed under the GPLv3 License.
